package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.armors.EnemyArmor;
import org.project.item.weapons.wood;

public class Vampire extends Enemy{

    public Vampire(){
        super(60 , 30, new wood() , new EnemyArmor());
    }


    @Override
    public void specialAbility(Entity target){
        System.out.println(this.toString() +"use Special ability");
        System.out.println();
        this.mp -=10;
        target.takeDamage(this.weapon.getDamage());
        this.hp += this.weapon.getDamage() /2;
        System.out.println(" \uD83E\uDD87 rob your Hp :)" + "(" + this.weapon.getDamage() /2 + " Hp)");
    }

    public String toString(){
        return "\uD83E\uDD87 Vampire ";
    }

}
